Bug 880548 - audit2allow: NameError: global name '_' is not defined
Summary: audit2allow: NameError: global name '_' is not defined
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 10:00 UTC by Felix Kaechele
Modified: 2012-12-12 00:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-12 00:30:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Kaechele 2012-11-27 10:00:50 UTC
Description of problem:
Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 358, in <module>
    app.main()
  File "/usr/bin/audit2allow", line 349, in main
    self.__output()
  File "/usr/bin/audit2allow", line 291, in __output
    return self.__output_audit2why()
  File "/usr/bin/audit2allow", line 258, in __output_audit2why
    print "\tDescription:\n\t%s\n"  % seobject.boolean_desc(b[0])
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 102, in boolean_desc
    return _(booleans_dict[boolean][2])
NameError: global name '_' is not defined

Version-Release number of selected component (if applicable):
policycoreutils-devel-2.1.13-34.fc18.x86_64

Fresh Install of F18 via netinstall
audit2allow installed via yum install policycoreutils-devel

Comment 1 Daniel Walsh 2012-11-27 15:41:03 UTC
Weird I agree this is a bug but I do not see it happening on my box. 

What audit2allow command did you execute  to get this to happen?

Comment 2 Daniel Walsh 2012-12-06 19:48:30 UTC
Fixed in policycoreutils-2.1.13-44.fc18

Comment 3 Fedora Update System 2012-12-10 14:12:10 UTC
policycoreutils-2.1.13-44.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-44.fc18

Comment 4 Fedora Update System 2012-12-10 21:15:01 UTC
Package policycoreutils-2.1.13-44.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-44.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20070/policycoreutils-2.1.13-44.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-12-12 00:31:01 UTC
policycoreutils-2.1.13-44.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.